/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

import java.io.*;

public class InversionTableau {
  static BufferedReader flux = new BufferedReader(new InputStreamReader(System.in));

  /* Fonction d'affichage de tous les entiers contenus    */
  /* dans un tableau d'entiers                            */

  public static void affichageTableau(int [] t) {
    int i;
  /* Pour toutes les valeurs d'indice 0 a t.length-1 inclus    */
    for ( i = 0 ; i < t.length ; i++ )
      System.out.println(t[i]);
  }

  /* Fonction d'initialisation de tous les entiers        */
  /* contenus dans un tableau d'entiers                   */
  /* avec une valeur tiree au sort entre 0 et max inclus  */

  public static void initialisationTableau(int [] t,int max) {
    int i;
  /* Pour toutes les valeurs d'indice 0 a t.length-1 inclus    */
    for ( i = 0 ; i < t.length ; i++ ) {
  /* Initialisation de t[i] avec un entier tire                */
  /* au hasard entre 0.0 (inclu) et max+1 (exclu)              */
      t[i] =(int) ((max+1)*Math.random()); }
  }

  /* Fonction d'inversion de l'ordre des entiers presents      */
  /* dans un tableau                                           */

  public static void inversionTableau(int [] t) {
    int i;
  /* Definition d'une variable auxiliaire utilisee             */
  /* pour la permutation de deux autres variables              */
    int aux;
  /* Pour les t.length/2 couples d'entiers a permuter          */
    for ( i = 0 ; i < t.length/2 ; i++ ) {
  /* Permutation des valeurs d'indice i et t.length-1-i        */
      aux = t[i];
      t[i] = t[t.length-1-i];
      t[t.length-1-i] = aux; }
  }
  
  /* Fonction principale                                  */
  
  public static void main(String [] args) throws IOException {
  /* Definition, allocation et initialisation de 1 tableau     */
  /* de 7 entiers tires au hasard entre 0 et 100               */
    int [] tab = new int[7];
    initialisationTableau(tab,100);
    System.out.println("Le tableau 1 contient les valeurs suivantes:");
  /* Appel a la fonction d'affichage sur le tableau            */
    affichageTableau(tab);
    System.out.println();
  /* Inversion du tableau tab                                  */
    inversionTableau(tab);
  /* Nouvel appel a la fonction d'affichage sur le tableau     */
    affichageTableau(tab);
  }
}